> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taap.it/llms.txt
> Use this file to discover all available pages before exploring further.

# Mettre à jour un projet

> Mettre à jour les propriétés d'un projet existant

**Requête :**

```bash cURL theme={null}
curl -X PUT 'https://api.taap.it/v1/projects/project_987654321' \
  -H 'Authorization: Bearer taapit_your_api_key_here' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Summer Marketing Campaign 2024",
    "description": "Updated description for campaign"
  }'
```

**Réponse :**

```json theme={null}
{
  "id": "project_987654321",
  "name": "Summer Marketing Campaign 2024",
  "description": "Updated description for campaign",
  "updated_at": "2024-01-15T11:00:00Z"
}
```

## Autorisation

<ParamField header="Authorization" type="string" required>
  Token Bearer pour l'authentification API. Format : `Bearer YOUR_API_KEY`
</ParamField>

## Paramètres de chemin

<ParamField path="project_id" type="string" required>
  Identifiant unique pour le project to update
</ParamField>

## Paramètres de requête

<ParamField body="name" type="string">
  Nom du projet
</ParamField>

<ParamField body="description" type="string">
  Description optionnelle pour le projet
</ParamField>

<ParamField body="color" type="string">
  Couleur du projet au format hexadécimal (ex: #FF6B6B, #FFF). Doit inclure le symbole # et être une couleur hexadécimale valide de 3 ou 6 caractères. La couleur sera normalisée en majuscules.
</ParamField>

## Champs de réponse

<ResponseField name="id" type="string" required>
  Identifiant unique pour le updated project
</ResponseField>

<ResponseField name="name" type="string" required>
  Nom du projet
</ResponseField>

<ResponseField name="description" type="string">
  Description du projet
</ResponseField>

<ResponseField name="updated_at" type="string" required>
  Horodatage ISO 8601 de dernière mise à jour du projet
</ResponseField>
